🔗 REST APITrades

Latest data

Get latest trades executed up to 1 minute ago. Latest data is always returned in time descending order.

GET
/v1/trades/latest
Authorization<token>

API Key is required to access the endpoints

In: header

Query Parameters

filter_symbol_id?string

Comma or semicolon delimited parts of symbol identifier used to filter response. (optional)

include_id?boolean

Information that additional exchange trade identifier should be included in the id_trade parameter of the trade if exchange providing identifiers.

Defaultfalse
limit?integer

Amount of items to return (optional, mininum is 1, maximum is 100000, default value is 100, if the parameter is used then every 100 output items are counted as one request)

Formatint32
Default100

Response Body

curl -X GET "https://example.com/v1/trades/latest"
[  {    "symbol_id": "BITSTAMP_SPOT_BTC_USD",    "time_exchange": "2013-09-28T22:40:50.0000000Z",    "time_coinapi": "2017-03-18T22:42:21.3763342Z",    "uuid": "770c7a3b-7258-4441-8182-83740f3e2457",    "price": 770,    "size": 0.05,    "taker_side": "BUY"  },  {    "symbol_id": "BITSTAMP_SPOT_BTC_USD",    "time_exchange": "2013-09-28T23:12:59.0000000Z",    "time_coinapi": "2017-03-18T22:42:21.3763342Z",    "uuid": "1ea8adc5-6459-47ca-adbf-0c3f8c729bb2",    "price": 770,    "size": 0.05,    "taker_side": "SELL"  }]